Package org.h2gis.functions.spatial.generalize

## Class ST_SimplifyVW

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.generalize.ST_SimplifyVW

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_SimplifyVW
    extends org.h2gis.api.DeterministicScalarFunction

Returns a simplified version of the given geometry using the Visvalingam-Whyatt algorithm.

Author:
  Maël PHILIPPE

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_SimplifyVW()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `simplifyvw​(org.locationtech.jts.geom.Geometry geom, double distanceTolerance)` Simplifies a geometry using a given tolerance.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_SimplifyVW

    public ST_SimplifyVW()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### simplifyvw

    public static org.locationtech.jts.geom.Geometry simplifyvw​(org.locationtech.jts.geom.Geometry geom,
                                                                double distanceTolerance)
                                                         throws SQLException

Simplifies a geometry using a given tolerance.

Parameters:
  `geom` - geometry to simplify
  `distanceTolerance` - the tolerance to use
Returns:
  a simplified version of the geometry
Throws:
  `SQLException`